package javax.xml.soap;

import java.util.Iterator;
import javax.xml.namespace.QName;
import org.w3c.dom.Element;

public interface SOAPElement extends Node, Element
{
    public abstract SOAPElement addChildElement(Name p0) throws SOAPException;
    
    public abstract SOAPElement addChildElement(QName p0) throws SOAPException;
    
    public abstract SOAPElement addChildElement(String p0) throws SOAPException;
    
    public abstract SOAPElement addChildElement(String p0, String p1) throws SOAPException;
    
    public abstract SOAPElement addChildElement(String p0, String p1, String p2) throws SOAPException;
    
    public abstract SOAPElement addChildElement(SOAPElement p0) throws SOAPException;
    
    public abstract void removeContents();
    
    public abstract SOAPElement addTextNode(String p0) throws SOAPException;
    
    public abstract SOAPElement addAttribute(Name p0, String p1) throws SOAPException;
    
    public abstract SOAPElement addAttribute(QName p0, String p1) throws SOAPException;
    
    public abstract SOAPElement addNamespaceDeclaration(String p0, String p1) throws SOAPException;
    
    public abstract String getAttributeValue(Name p0);
    
    public abstract String getAttributeValue(QName p0);
    
    public abstract Iterator getAllAttributes();
    
    public abstract Iterator getAllAttributesAsQNames();
    
    public abstract String getNamespaceURI(String p0);
    
    public abstract Iterator getNamespacePrefixes();
    
    public abstract Iterator getVisibleNamespacePrefixes();
    
    public abstract QName createQName(String p0, String p1) throws SOAPException;
    
    public abstract Name getElementName();
    
    public abstract QName getElementQName();
    
    public abstract SOAPElement setElementQName(QName p0) throws SOAPException;
    
    public abstract boolean removeAttribute(Name p0);
    
    public abstract boolean removeAttribute(QName p0);
    
    public abstract boolean removeNamespaceDeclaration(String p0);
    
    public abstract Iterator getChildElements();
    
    public abstract Iterator getChildElements(Name p0);
    
    public abstract Iterator getChildElements(QName p0);
    
    public abstract void setEncodingStyle(String p0) throws SOAPException;
    
    public abstract String getEncodingStyle();
}
